#include <stdio.h>
#include <string.h>
#include <stdlib.h>
//uvodimo pretpostavku da je max broj karatera u jednom redu 1000
#define MAX 1001

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}
int main(int argc, char **argv){
	if(argc != 3){
		greska();
	}
	//prvi - ime programa
	//drugi - ime prve datoteke
	//treci - ime drure datoteke
	
	FILE *prva = fopen(argv[1], "r");
	FILE *druga = fopen(argv[2], "r");
	
	if(prva == NULL || druga == NULL){
		greska();
	}
	
	//deo gde proveravamo u kojim linijama se datoteke razlikuju
	char prva_niska[MAX];
	char druga_niska[MAX];
	
	int tekuca_linija = 0;
	while(1){
		//ucitavamo redove iz datoteke
		char* kraj1 = fgets(prva_niska, MAX, prva);
		char* kraj2 = fgets(druga_niska, MAX, druga);
		
		//ako smo dosli do kraja oba fajla, izlazimo iz ciklusa
		if(kraj1 == NULL && kraj2 == NULL)
			break;
		else if(kraj1 == NULL && kraj2 != NULL){
			printf("%d: postoji u drugom a ne postoji u prvom\n",
				tekuca_linija);
		}
		else if(kraj1 != NULL && kraj2 == NULL){
			printf("%d: postoji u prvom a ne postoji u drugom\n",
				tekuca_linija);
		}
		else{
			//kada nismo dosli do kraja ni prvog ni drugog
			if(strcmp(prva_niska, druga_niska) != 0){
				//razliciti su
				printf("%d: razlika\n", tekuca_linija);
			}
		}
		tekuca_linija++;
	}
	
	fclose(prva);
	fclose(druga);	
}