#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX 100

typedef struct _student{
	char ime[101];
	int oc[10];
	int br_ocena;
	float pr_oc;
}student;

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

float prosek(student s){
	float r = 0;
	int i;
	for(i = 0; i < s.br_ocena; i++)
		r += s.oc[i];
	return r / s.br_ocena;
}

int main(int argc, char **argv){
	//da li je korisnik uneo naziv datoteke kao argument
	if(argc != 2)
		greska();
	
	FILE *f = fopen(argv[1], "r");
	if(f == NULL)
		greska();
	
	student studenti[MAX];
	//broj ucitanih studenata
	int n = 0;
	while(1){
		//uvek ucitavamo u n-tog studenta, tj. studenti[n]
		//na kraju petlje n uvecavamo za 1
		//na kraju kada se zavrsi ciklus, studenti su lepo ucitani
		//a n ce biti broj ucitanih studenata
		
		//prvo ucitavamo ime i prezime uz pomoc fgets
		char temp_ime[101];
		char *kraj = fgets(temp_ime, 101, f);
		if(kraj == NULL)
			break;
		//ovo je objasnjeno detaljno na vezbama
		strcpy(studenti[n].ime, temp_ime);
		
		studenti[n].br_ocena = 0;
		while(1){
			int ocena;
			fscanf(f, "%d", &ocena);
			if(ocena == 0)
				break;
			studenti[n].oc[studenti[n].br_ocena] = ocena;
			studenti[n].br_ocena++;
		}
		
		studenti[n].pr_oc = prosek(studenti[n]);
		
		//preskacemo red
		char temp_s[100];
		fgets(temp_s, 100, f);
		
		//test da vidimo da li je ucitavanje dobro
		printf("ucitali smo: %s\n, br oc: %d\n, prosek %.2f\n", 
			studenti[n].ime,
			studenti[n].br_ocena,
			studenti[n].pr_oc);
		
		n++;
	}
	int i;
	student max = studenti[0];
	for(i = 1; i < n; i++){
		if(studenti[i].pr_oc > max.pr_oc)
			max = studenti[i];
	}
	
	printf("Najveci prosek %.2f ima %s", max.pr_oc, max.ime);
	
	fclose(f);
}