#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define MAX_LINE 1000
void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv){
	if(argc != 3)
		greska();
	
	//otvaramo fajlove koje poredimo
	FILE *prvi = fopen(argv[1], "r");
	FILE *drugi = fopen(argv[2], "r");
	
	if(prvi == NULL || drugi == NULL)
		greska();
	
	//koristicemo fgets koje ucitava liniju po liniju iz datoteke
	//ovo resenje nije dobro:
	//moramo da ogranicimo duzinu linije!
	//mozda linija bude duza od naseg ogranicenja
	
	char red1[MAX_LINE];
	char red2[MAX_LINE];
	int redni_br_linije = 0;
	while(1){
		char *kraj1 = fgets(red1, MAX_LINE, prvi);
		char *kraj2 = fgets(red2, MAX_LINE, drugi);
		
		if(kraj1 == NULL && kraj2 == NULL){
			break;
		}
		else if(kraj1 == NULL && kraj2 != NULL){
			//redni_br_linije: ...
			printf("%d: ne postoji u prvoj, a postoju u drugoj dat\n", 
				redni_br_linije);
		}
		else if(kraj1 != NULL && kraj2 == NULL){
			//redni_br_linije: ...
			printf("%d: ne postoji u drugoj, a postoju u prvoj dat\n", 
				redni_br_linije);
		}
		else{
			//<0, ako je prvi manji
			//==0, ako su isti
			//>0, ako je prvi vec
			if(strcmp(red1, red2) != 0){
				//razliciti su
				printf("%d: postoji razlika\n", redni_br_linije);
			}
		}
		redni_br_linije++;
	}
	
	fclose(prvi);
	fclose(drugi);
}